#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int t;
    cin>>t;
    long long a,b;
    bool loob;
    for(int tCase=0;tCase<t;tCase++){
        cin>>a>>b;
        loob=true;
        for(long long i=1;i<=sqrt(a)&&loob;i+=2){
            if(a%i==0){
                if((i^(a/i))==b){
                    cout<<i<<" "<<a/i<<"\n";
                    loob=false;
                }
            }
        }
        if(loob)cout<<-1<<"\n";
    }

}